From 68b788d16e750097d1de1119ee043d6f353a6a2c Mon Sep 17 00:00:00 2001
From: Cyril Jouve <jv.cyril@gmail.com>
Date: Sat, 19 Sep 2020 14:39:56 +0200
Subject: [PATCH] server.username can be None when using .pg_service.conf

---
 web/pgadmin/browser/server_groups/servers/__init__.py | 8 --------
 1 file changed, 8 deletions(-)

diff --git a/web/pgadmin/browser/server_groups/servers/__init__.py b/web/pgadmin/browser/server_groups/servers/__init__.py
index ed8fae0f0..ccb47f1d3 100644
--- a/web/pgadmin/browser/server_groups/servers/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/__init__.py
@@ -1280,14 +1280,6 @@ class ServerNode(PGChildNodeView):
         if server is None:
             return bad_request(self.not_found_error_msg())
 
-        # Return if username is blank
-        if server.username is None:
-            return make_json_response(
-                status=200,
-                success=0,
-                errormsg=gettext(
-                    u"Please enter the server details to connect")
-            )
         if current_user and hasattr(current_user, 'id'):
             # Fetch User Details.
             user = User.query.filter_by(id=current_user.id).first()
-- 
2.28.0

